#  Clover.defn.tcl

proc {Clover} {name c n} {
      define-register $name xCAMAC Mpx         "-c$c -n$n -a8 -f16 -pwo"
      define-register $name xCAMAC Vsn         "-c$c -n$n -a1 -f17 -pwo"
      define-register $name xCAMAC Ctrl        "-c$c -n$n -a2 -f17 -pwo"
  for {set i 1} {$i <= 4} {incr i} {
      define-register $name xCAMAC DAC.grp$i   "-c$c -n$n -a$i -f16 -pwo"
  }

  set k 1
  for {set i 1} {$i <= 4} {incr i} {
    for {set j 1} {$j <= 8} {incr j} {
      define-register $name xCAMAC DAC$k       "-c$c -n$n -a$i -f16 -pwo"
      incr k
    }
  }
} 

proc {Clover_DAQ-reset} {args} {
#   Clover
   set module [first $args]
#   if {[read-register $module.clear] != "%11"} then {no-QX $module.clear}
   set vsn [second $args]
#   insert-log "$module VSN=$vsn"
   write-register $module.Vsn $vsn
}

proc {Clover_DAQ-go} {args} {
#   Clover
   set module [first $args]
   set vsn [second $args]
   insert-log "$module VSN=$vsn"
   write-register $module.Vsn $vsn
}

proc {Clover_DAQ-halt} {args} {
#   Clover
    set module [first $args]
}

#    for camacsaverestore
set {Clover_registersavepatterns} {DAC? DAC?? Ctrl Mpx}
